Package com.google.earth.kml._2

# Class PointType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.GeometryType
com.google.earth.kml._2.PointType

public class PointType extends GeometryType
<p>Java class for PointType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="PointType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}GeometryType"> <sequence> <group ref="{http://earth.google.com/kml/2.1}geometryElements"/> <element ref="{http://earth.google.com/kml/2.1}coordinates"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected AltitudeModeEnum`
  `altitudeMode`
  `protected List<String>`
  `coordinates`
  `protected Boolean`
  `extrude`
  `protected Boolean`
  `tessellate`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PointType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AltitudeModeEnum`
  `getAltitudeMode()`
  Gets the value of the altitudeMode property.
  `List<String>`
  `getCoordinates()`
  Gets the value of the coordinates property.
  `Boolean`
  `isExtrude()`
  Gets the value of the extrude property.
  `Boolean`
  `isTessellate()`
  Gets the value of the tessellate property.
  `void`
  `setAltitudeMode(AltitudeModeEnum value)`
  Sets the value of the altitudeMode property.
  `void`
  `setExtrude(Boolean value)`
  Sets the value of the extrude property.
  `void`
  `setTessellate(Boolean value)`
  Sets the value of the tessellate property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### extrude

    protected Boolean extrude

  - ### tessellate

    protected Boolean tessellate

  - ### altitudeMode

    protected AltitudeModeEnum altitudeMode

  - ### coordinates

    protected List<String> coordinates

- ## Constructor Details

  - ### PointType

    public PointType()

- ## Method Details

  - ### isExtrude

    public Boolean isExtrude()
    Gets the value of the extrude property.
    Returns:
      possible object is `Boolean`

  - ### setExtrude

    public void setExtrude(Boolean value)
    Sets the value of the extrude property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isTessellate

    public Boolean isTessellate()
    Gets the value of the tessellate property.
    Returns:
      possible object is `Boolean`

  - ### setTessellate

    public void setTessellate(Boolean value)
    Sets the value of the tessellate property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()
    Gets the value of the altitudeMode property.
    Returns:
      possible object is `AltitudeModeEnum`

  - ### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum value)
    Sets the value of the altitudeMode property.
    Parameters:
      `value` - allowed object is `AltitudeModeEnum`

  - ### getCoordinates

    public List<String> getCoordinates()
    Gets the value of the coordinates property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the coordinates property.

    For example, to add a new item, do as follows:

         getCoordinates().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the coordinates property.